base-deprecated {base} | R Documentation

## Deprecated Functions in Package base

### Description

These functions are provided for compatibility with older versions of R only, and may be defunct as soon as the next release.

### Usage

    real(length = 0)
    as.real(x, ...)
    is.real(x)

### Arguments

`length` | A non-negative integer specifying the desired length. Double values will be coerced to integer: supplying an argument of length other than one is an error.
`x` | object to be coerced or tested.
`...` | further arguments passed to or from other methods.

### Details

These functions are the same as their `double` equivalents and are provided for backwards compatibility only.

`as.real` is a generic function, but S3 methods must be written for `as.double`.

Functions in packages other than the base package are listed in `help("pkg-deprecated")`, where pkg is replaced by the name of the package.

### See Also

`Deprecated`

[Package base version 2.15.3 Index]